package webagency;

import java.rmi.*;
import java.util.* ;
import javax.ejb.* ;
import javax.naming.* ;

import agency.*;

public class AgencyBean
{
	Agency agency;

	public String getAgencyName() throws RemoteException {
		return agency.getAgencyName();
	}

	public Collection getApplicants() throws RemoteException {
		return agency.getApplicants();
	}
	
	public void createApplicant(String login, String name, String email) throws RemoteException, DuplicateException, CreateException{
		agency.createApplicant(login,name,email);
	}
	

	public void deleteApplicant (String login) throws RemoteException, NotFoundException{
		agency.deleteApplicant(login);
	}

	public Collection getCustomers() throws RemoteException {
		return agency.getCustomers();
	}


	public void createCustomer(String login, String name, String email) throws	RemoteException, DuplicateException, CreateException{
		agency.createCustomer(login,name,email);
	}

	public void deleteCustomer (String login) throws RemoteException, NotFoundException {
		agency.deleteCustomer(login);
	}

	public Collection getLocations() throws RemoteException {
		return agency.getLocations();
	}

	public String getLocationDescription(String name) throws RemoteException, NotFoundException {
		return agency.getLocationDescription(name);
	}

	public void updateLocation(String name, String description) throws RemoteException, NotFoundException {
		agency.updateLocation(name,description);
	}

	public void addLocation(String name, String description) throws RemoteException, DuplicateException {
		agency.addLocation(name,description);
	}
	
	public void removeLocation(String name) throws RemoteException, NotFoundException {
		agency.removeLocation(name);
	}

	public Collection getSkills() throws RemoteException {
		return agency.getSkills();
	}

	public String getSkillDescription(String name) throws RemoteException, NotFoundException {
		return agency.getSkillDescription(name);
	}
	
	public void updateSkill(String name, String description) throws RemoteException, NotFoundException {
		agency.updateSkill(name,description);
	}

	public void addSkill(String name, String description) throws RemoteException, DuplicateException {
		agency.addSkill(name,description);
	}

	public void removeSkill(String name) throws RemoteException, NotFoundException {
		agency.removeSkill(name);
	}

	public List select(String table) throws RemoteException {
		return agency.select(table);
	}

	public AgencyBean () throws NamingException, RemoteException, CreateException {
		InitialContext ic = null;
		ic = new InitialContext();
		AgencyHome agencyHome = (AgencyHome)ic.lookup("java:comp/env/ejb/Agency");
		agency = agencyHome.create();
	}

}
