package webagency;

import java.rmi.*;
import javax.ejb.*;
import javax.naming.*;
import agency.*;

public class CustomerBean
{
	AdvertiseHome advertiseHome;
	Advertise advertise;
	private String login;

	public void setLogin (String login) throws Exception {
		this.login = login;
		advertise = advertiseHome.create(login);
	}

	public void updateDetails (String name, String email, String[] address) throws RemoteException {
		advertise.updateDetails(name,email,address);
	}

	public String getLogin() throws RemoteException {
		return login;
	}

	public String getName() throws RemoteException	{
		return advertise.getName();
	}

	public String getEmail() throws RemoteException  {
		return advertise.getEmail();
	}

	public String[] getAddress() throws RemoteException  {
		return advertise.getAddress();
	}

	public String[] getJobs() throws RemoteException  {
		return advertise.getJobs();
	}

	public void createJob (String ref) throws DuplicateException, CreateException, RemoteException {
		advertise.createJob(ref);
	}

	public void deleteJob (String ref) throws NotFoundException, RemoteException {
		advertise.deleteJob(ref);
	}

	public CustomerBean () throws NamingException {
		InitialContext ic = new InitialContext();
		advertiseHome = (AdvertiseHome)ic.lookup("java:comp/env/ejb/Advertise");
	}

}

