import javax.naming.*;
import javax.naming.directory.*;

public class ListSASL {
    public static void main (String[] args) {
        try {
            // Create initial context
            DirContext ctx = new InitialDirContext();

            // get supported SASL Mechanisms
            Attributes attrs = ctx.getAttributes("supportedSASLMechanisms");
            NamingEnumeration ae = attrs.getAll();
            while (ae.hasMore()) {
                Attribute attr = (Attribute)ae.next();
                System.out.println("  attribute: " + attr.getID());
                NamingEnumeration e = attr.getAll();
                while (e.hasMore())
                    System.out.println("    value: " + e.next());
            }
        }
        catch (NamingException ex) {
            System.out.println ("Naming error: "+ex);
            ex.printStackTrace();
            System.exit(1);
        }
    }
}
